#ifndef _MATERIAL_HPP_
#define _MATERIAL_HPP_

#include <string>
#include "gl.hpp"

class Material
{
public:
	Material();
	virtual void Activate();
	virtual void Deactivate();

	virtual void LoadTexture(std::string Filename);
	std::string GetTextureFilename(){ return m_TextureFilename; }
protected:
	GLuint m_Texture;
	std::string m_TextureFilename;
};


#endif